petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscIsNanReal

Returns an error code if the input double has a Not-a-number (Nan) value, otherwise 0.

### Synopsis

    #if defined(PETSC_USE_REAL___FLOAT128)
    PetscErrorCode PetscIsNanReal(PetscReal a)

### Input Parameter

a -the floating point number

Notes: uses the C99 standard isinf() and isnan() on systems where they exist. Otherwises uses ((a - a) != 0.0), note that some optimizing compiles compile out this form, thus removing the check.

Level:beginner
Location:src/sys/utils/mathinf.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages